websocket-sharp : WebSocketSharp.Server Namespace

# WebSocketService Class

Documentation for this section has not yet been entered.

## Syntax

public abstract class WebSocketService

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Server
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from object.

## Public Constructors

| WebSocketService () | Documentation for this section has not yet been entered.

## Public Properties

[read-only] | ID | string . Documentation for this section has not yet been entered.
[read-only] | IsBound | bool . Documentation for this section has not yet been entered.

## Protected Properties

[read-only] | QueryString | System.Collections.Specialized.NameValueCollection . Documentation for this section has not yet been entered.
[read-only] | Sessions | SessionManager . Documentation for this section has not yet been entered.

## Public Methods

Bind (WebSocketSharp.WebSocket, SessionManager)

> Documentation for this section has not yet been entered.

Ping () : bool

> Documentation for this section has not yet been entered.

Ping (string) : bool

> Documentation for this section has not yet been entered.

PingAround () : Dictionary<string, bool>

> Documentation for this section has not yet been entered.

PingAround (string) : Dictionary<string, bool>

> Documentation for this section has not yet been entered.

PingTo (string) : bool

> Documentation for this section has not yet been entered.

PingTo (string, string) : bool

> Documentation for this section has not yet been entered.

Publish (byte[])

> Documentation for this section has not yet been entered.

Publish (string)

> Documentation for this section has not yet been entered.

Send (byte[])

> Documentation for this section has not yet been entered.

Send (string)

> Documentation for this section has not yet been entered.

SendTo (string, byte[])

> Documentation for this section has not yet been entered.

SendTo (string, string)

> Documentation for this section has not yet been entered.

Start ()

> Documentation for this section has not yet been entered.

Stop ()

> Documentation for this section has not yet been entered.

Stop (ushort, string)

> Documentation for this section has not yet been entered.

Stop (WebSocketSharp.Frame.CloseStatusCode, string)

> Documentation for this section has not yet been entered.

## Protected Methods

OnClose (object, WebSocketSharp.CloseEventArgs)

> Documentation for this section has not yet been entered.

OnError (object, WebSocketSharp.ErrorEventArgs)

> Documentation for this section has not yet been entered.

OnMessage (object, WebSocketSharp.MessageEventArgs)

> Documentation for this section has not yet been entered.

OnOpen (object, EventArgs)

> Documentation for this section has not yet been entered.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### WebSocketService Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketService ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Bind Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Bind (WebSocketSharp.WebSocket socket, SessionManager sessions)

> #### Parameters

> > socket
> >   Documentation for this section has not yet been entered.
> > sessions
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ID Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string ID { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### IsBound Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool IsBound { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnClose Method

> Documentation for this section has not yet been entered.

> ## Syntax

> protected virtual void OnClose (object sender, WebSocketSharp.CloseEventArgs e)

> #### Parameters

> > sender
> >   Documentation for this section has not yet been entered.
> > e
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnError Method

> Documentation for this section has not yet been entered.

> ## Syntax

> protected virtual void OnError (object sender, WebSocketSharp.ErrorEventArgs e)

> #### Parameters

> > sender
> >   Documentation for this section has not yet been entered.
> > e
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnMessage Method

> Documentation for this section has not yet been entered.

> ## Syntax

> protected virtual void OnMessage (object sender, WebSocketSharp.MessageEventArgs e)

> #### Parameters

> > sender
> >   Documentation for this section has not yet been entered.
> > e
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnOpen Method

> Documentation for this section has not yet been entered.

> ## Syntax

> protected virtual void OnOpen (object sender, EventArgs e)

> #### Parameters

> > sender
> >   Documentation for this section has not yet been entered.
> > e
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Ping Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Ping ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Ping Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Ping (string message)

> #### Parameters

> > message
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### PingAround Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public Dictionary<string, bool> PingAround ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### PingAround Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public Dictionary<string, bool> PingAround (string message)

> #### Parameters

> > message
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### PingTo Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool PingTo (string id)

> #### Parameters

> > id
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### PingTo Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool PingTo (string id, string message)

> #### Parameters

> > id
> >   Documentation for this section has not yet been entered.
> > message
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Publish Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Publish (byte[] data)

> #### Parameters

> > data
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Publish Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Publish (string data)

> #### Parameters

> > data
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### QueryString Property

> Documentation for this section has not yet been entered.

> ## Syntax

> protected System.Collections.Specialized.NameValueCollection QueryString { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Send Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Send (byte[] data)

> #### Parameters

> > data
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Send Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Send (string data)

> #### Parameters

> > data
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### SendTo Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void SendTo (string id, byte[] data)

> #### Parameters

> > id
> >   Documentation for this section has not yet been entered.
> > data
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### SendTo Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void SendTo (string id, string data)

> #### Parameters

> > id
> >   Documentation for this section has not yet been entered.
> > data
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Sessions Property

> Documentation for this section has not yet been entered.

> ## Syntax

> protected SessionManager Sessions { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Start Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Start ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Stop Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Stop ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Stop Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Stop (ushort code, string reason)

> #### Parameters

> > code
> >   Documentation for this section has not yet been entered.
> > reason
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Stop Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Stop (WebSocketSharp.Frame.CloseStatusCode code, string reason)

> #### Parameters

> > code
> >   Documentation for this section has not yet been entered.
> > reason
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581